## init.pp
class gnome3 (

  $nowebproxy   = false,
  $proxyurl     = undef,
  $bookmarks    = undef,
  $software     = undef,
  $delete_games = true,
  $games        = $gnome3::params::games,

) inherits gnome3::params {


  ####################################################
  ## /etc/skel
  ####################################################

  include gnome3::skel


  ####################################################
  ## software
  ####################################################

  if $software {
    package { $software : ensure => installed }
  }

  if $delete_games {
    package { $games : ensure => purged }
  }


  ####################################################
  ## wallpaper
  ####################################################

  # default wallpaper
  file { '/usr/share/backgrounds/smile-wallpaper.jpg':
    source  => 'puppet:///modules/gnome3/smile-wallpaper.jpg',
  }


  ####################################################
  ## GDM
  ####################################################

  file { '/usr/share/gdm/dconf/99-pedago-settings':
    source  => 'puppet:///modules/gnome3/gdm',
  }

  ####################################################
  ## CUSTOMIZATION
  ####################################################

  # dconf for gnome3 settings
  file { ['/etc/dconf',
          '/etc/dconf/profile',
          '/etc/dconf/db',
          '/etc/dconf/db/pedago.d',
          '/etc/dconf/db/pedago.d/locks']:
    ensure => 'directory'
  }
  file { '/etc/dconf/profile/user':
    source  => 'puppet:///modules/gnome3/dconf/profile',
  }
  file { '/etc/dconf/db/pedago.d/common':
    ensure  => file,
    content => template('gnome3/dconf-db.erb'),
  }
  file { '/etc/dconf/db/pedago.d/locks/common':
    source  => 'puppet:///modules/gnome3/dconf/locks',
  }
  exec { 'dconf update':
    path        => ['/usr/bin', '/usr/sbin'],
    subscribe   => [
      File['/etc/dconf/profile/user'],
      File['/etc/dconf/db/pedago.d/common'],
      File['/etc/dconf/db/pedago.d/locks/common'],
    ],
    refreshonly => true
  }

}
