# skel.pp

class gnome3::skel {

  # tree
  file { [
    '/etc/skel/.config',
    '/etc/skel/.config/dconf',
    '/etc/skel/.config/gtk-3.0',
    '/etc/skel/.local',
    '/etc/skel/.local/share',
    '/etc/skel/.local/share/gnome-shell',
    '/etc/skel/.local/share/gnome-shell/extensions',
    ]:
    ensure => 'directory'
  }

  # dconf user
  file { '/etc/skel/.config/dconf/user':
    ensure => file,
    source => 'puppet:///modules/gnome3/skel-dconf-user',
  }

  # bookmarks
  if $bookmarks {
    file { '/etc/skel/.config/gtk-3.0/bookmarks':
      ensure  => file,
      content => template('gnome3/bookmarks.erb'),
    }
  }

  # settings.ini
  file { '/etc/skel/.config/gtk-3.0/settings.ini':
    ensure => file,
    source => 'puppet:///modules/gnome3/skel-settings.ini',
  }

  # extension dashtodock
  file { '/etc/skel/.local/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com':
    ensure  => directory,
    source  => 'puppet:///modules/gnome3/dash-to-dock@micxgx.gmail.com',
    recurse => true,
  }

}
